<template>
	<client-only>
		<VChart
			:option="chartOption"
			ref="chart"
			style="width:400px; height:300px;"
		/>
	</client-only>
</template>

<script>
// import Echarts from 'vue-echarts';
// import 'echarts'

export default {
	// name: 'Vchart',
	// components: {
	// 	'v-charts': Echarts,
	// },
	data() {
		return {
			chartOption: {
				series: [
					{
						type: 'gauge',
						progress: {
							show:true
						},
						detail: {
							valueAnimation: true,
							formatter: '{value}%'
						},
						data:[{
							value: 65,
						 	name: 'Progress'
						}]
					}
				]
			},
		};
	},
	created() {
		console.log('test chart:')
	},

};
</script>
